Instance
Actions in the instance namespace of the Nexigon Hub API.
Badges mark actions of the Device API and the Admin API, whose compatibility differs from other actions.
instance_GetStatistics
POST/api/v1/actions/invoke/instance_GetStatisticsAdmin API
Get instance statistics.
Request GetInstanceStatisticsAction
No fields. Send an empty JSON object.
Response GetInstanceStatisticsOutput
usersintegerNumber of users.
projectsintegerNumber of projects.
devicesintegerNumber of devices.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/instance_GetStatistics{
"users": 1,
"projects": 1,
"devices": 1
}instance_GetSettingsRaw
POST/api/v1/actions/invoke/instance_GetSettingsRawAdmin API
Get the settings of the instance.
Request GetInstanceSettingsRawAction
No fields. Send an empty JSON object.
Response GetInstanceSettingsRawOutput
settingsmap<string, any>JsonValueSettings of the instance.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/instance_GetSettingsRaw{
"settings": {
"<key>": {}
}
}instance_SetSettingRaw
POST/api/v1/actions/invoke/instance_SetSettingRawAdmin API
Set a setting of the instance.
Request SetInstanceSettingRawAction
keystringName of the setting.
- Setting key must be between 1 and 256 characters.
valueanyJsonValueValue of the setting.
Response Empty
No fields. The response is an empty JSON object.
Example
curl --fail-with-body \
-H "Authorization: Bearer $NEXIGON_TOKEN" \
-H "Content-Type: application/json" \
-d '{"key":"<key>","value":{}}' \
$NEXIGON_HUB_URL/api/v1/actions/invoke/instance_SetSettingRaw{}